Bug 175898 - (perl-Text-CSV_XS) Review Request: perl-Text-CSV_XS - Comma-separated values manipulation routines
Review Request: perl-Text-CSV_XS - Comma-separated values manipulation routines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
: Reopened
Depends On:
Blocks: 175899
  Show dependency treegraph
 
Reported: 2005-12-15 19:19 EST by Jose Pedro Oliveira
Modified: 2008-06-03 11:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 11:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-12-15 19:19:22 EST
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Text-CSV_XS.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Text-CSV_XS-0.23-1.src.rpm

Description:
Text::CSV provides facilities for the composition and decomposition of
comma-separated values.  An instance of the Text::CSV class can combine
fields into a CSV string and parse a CSV string into fields.
Comment 1 Paul Howarth 2006-01-05 11:16:01 EST
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC4 (i386) and in mock for rawhide (i386)
- no explicit BR's needed nor present
- no locales, libraries, pkgconfigs, or subpackages to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Suggestion:

- The compiler flags are specified twice:

    CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
    make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

  It'd be slightly neater to do it just once:

    %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
    make %{?_smp_mflags}

  Just a cosmetic thing really though.

Approved.
Comment 2 Jose Pedro Oliveira 2006-01-06 07:40:59 EST
Paul,

* RPM_OPT_FLAGS: specfile updated (and my specfile generator script).
* Imported and build for FC-4 and devel.

Thanks,
jpo
Comment 3 Marcela Mašláňová 2008-05-22 03:47:47 EDT
Package Change Request
======================
Package Name: perl-Text-CSV_XS
New Branches: EL-4 EL-5
Comment 4 Xavier Bachelot 2008-05-22 12:43:58 EDT
Package Change Request
======================
Package Name: perl-Text-CSV_XS
New Branches: EL-4 EL-5
Updated EPEL Owners: kasal xavierb
Updated EPEL CC: perl-sig
Comment 5 Kevin Fenzi 2008-05-22 14:24:58 EDT
Can you guys coordinate here? Marcela and Štěpán are listed as co-owners of the
fedora package. Do all 3 of you want to maintain for EPEL?
Comment 6 Xavier Bachelot 2008-05-23 05:38:49 EDT
Not sure what Stepan and Marcela really want. I and Chris Weyl separately asked
to have this package for EPEL (RHBZ 441646 and 237025). Since the bug I opened
wasn't moving after some time, I offered to do the build myself or even
co-maintain. Marcela answered me to either take ownership or comaintain. I'd
rather co-maintain. As the EPEL owners weren't specified in the first branch
request, I updated it with the primary owner and myself. I don't know if it was
the proper way to deal with the issue, nor do I know exactly what Stepan and
Marcela want to do.

I added everyone involved to the CC: so everyone can comment.
Comment 7 Jason Tibbitts 2008-05-30 11:47:55 EDT
Setting fedora-review flag properly so this doesn't show up in the
"to-be-reviewed" list.
Comment 8 Xavier Bachelot 2008-05-30 12:04:01 EDT
Stepan, Marcela, could you please comment ? Chris, if you wish too...
Comment 9 Kevin Fenzi 2008-06-03 10:22:04 EDT
Sorry for the delay here... 

I just copied over all the maintainers/co-maintainers/cc's to the epel branches
and added Xavier as a co-maintainer of them. 

Hope that works for everyone. 
Comment 10 Xavier Bachelot 2008-06-03 11:44:25 EDT
Built for EL-4 and EL-5.

Note You need to log in before you can comment on or make changes to this bug.